# std::lock_error Class Reference
[Mutexes, Exceptions]

Thrown to indicate errors with lock operations. More...

Inheritance diagram for std::lock_error:

List of all members.

## Public Member Functions

- virtual const char * what () const throw ()

## Detailed Description

Thrown to indicate errors with lock operations.

Definition at line 394 of file mutex.

## Member Function Documentation

virtual const char* std::lock_error::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- mutex